API DocumentationShipments

List shipments on an order

GET
/api/manufacturer/v1/order/{orderId}/shipments

Returns every shipment currently attached to the order, including parcel allocations and tracking where present.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

orderId*integer

ID of the order to list shipments for

Response Body

application/json

application/json

curl -X GET "https://example.com/api/manufacturer/v1/order/1/shipments"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "COURIER",    "status": "PREPARED",    "incoterm": "EXW",    "fromAddress": {      "street1": "string",      "street2": "string",      "city": "string",      "state": "string",      "country": "string",      "zip": "string",      "name": "string",      "company": "string",      "phone": "string",      "email": "string",      "jurisdictionIsoCode": "string",      "residential": true,      "taxId": "string"    },    "parcels": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "grossWeightGrams": 0,        "netWeightGrams": 0,        "value": 0,        "width": 0,        "height": 0,        "length": 0,        "allocations": [          {            "requisitionId": 0,            "quantity": 0          }        ]      }    ],    "preparedAt": "2019-08-24T14:15:22Z",    "preparedBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "displayName": "string"    },    "releasedAt": "2019-08-24T14:15:22Z",    "releasedBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "displayName": "string"    },    "fulfilledAt": "2019-08-24T14:15:22Z",    "fulfilledBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "displayName": "string"    }  }]
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}